commit:     89d5cc010cdf7bc7642dff4c2c4dd9632e3f6cc5
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 13 19:18:09 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Apr 13 19:21:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89d5cc01

app-misc/tmux: Bump to version 2.7

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 app-misc/tmux/Manifest        |  1 +
 app-misc/tmux/tmux-2.7.ebuild | 89 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 71f046111ef..077cc9d2edd 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -2,5 +2,6 @@ DIST tmux-2.2.tar.gz 466852 BLAKE2B 
78bc503955686a1b8aa80c0686aa2b05c32bb54078c0
 DIST tmux-2.3.tar.gz 473944 BLAKE2B 
348bb0492332d2c52d11be2aa128552ca374feb8ac2cf91d395fe5896d1fd791e62c3a526df7c744ef888eaaa1aa91ffa110dcc5626b72169aac7dc7f7293dd2
 SHA512 
521e3734104be43837cba95d8b3d050d033708fa7469f7e7db66ae6993b002c4d9f6bafec41f3c9446eda91a4499e571019534dfa2e5a0563085b2d16e1b94af
 DIST tmux-2.5.tar.gz 475717 BLAKE2B 
c702949c7490b637ca99dc6b98d92af917e437374159153c6b955821d056fcbe676441974f42cb271db4dc69746765bb83e5a86a7d51e35d900a1a4f77e60ead
 SHA512 
c0e8365a553d034e347f2f7a0d64f04e2be4307a75a9f72c8218fc56b72e531f3f37fe4a8f0e8d70801f5f62ee250ab7e9978abd6d101d273f76b4a1a92b08e0
 DIST tmux-2.6.tar.gz 481000 BLAKE2B 
adbd276261f3f4be9d67c6c0fbad28a90eabbecfa68ebbc104fe56acaa9b7bd005060b854ce0a0e669fdf41dd058bfa8450a85a78f71f7248a44d25458f7d3bc
 SHA512 
20a1ae8b8494c5b42757902322f3877731c2cc330c9c00f097a317785d25252b7ebaa8bbab9fc17843299e80cb2914aaac0a664715a85c50f7ea489d23753832
+DIST tmux-2.7.tar.gz 487585 BLAKE2B 
9c56da03bd12b358fcbed82def9680c34e1e485f906cf9b90a501e53b109c43d1ee843972d26e677de2c34830e599edee022dc1c17e1e5c935ed232caacb2b01
 SHA512 
7839ef748ea55df8c02c727047f65bd235b5e3b8ab23157246071e1b9954fa269594da9fbd0fabf6a850e3b5dfda962a0a067c1507411c92a84d1db2666ecf37
 DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 
04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496
 SHA512 
fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979
 DIST tmux.vim-95f6126c187667cc7f9c573c45c3b356cf69f4ca 5626 BLAKE2B 
dd22713fee56e3dadd573c888ab17561879f756df369cdbe552e052842f527c5310c6cd46342ccd3e3e01835d0f616f4ecb202567674dc4809bc08253ad66bea
 SHA512 
956b2c1ca08e3c92aa39c9df54fbe1c661d0e076c91628c4b88f81f97104241b6505412fa0e21a681adc231eb2e6e7feee850474d4277812d186548bbb05f6d1

diff --git a/app-misc/tmux/tmux-2.7.ebuild b/app-misc/tmux/tmux-2.7.ebuild
new file mode 100644
index 00000000000..33446641593
--- /dev/null
+++ b/app-misc/tmux/tmux-2.7.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV/_*}/${P/_/-}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+       dev-libs/libevent:0=
+       sys-libs/ncurses:0=
+       utempter? (
+               kernel_linux? ( sys-libs/libutempter )
+               kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 
sys-libs/libutempter ) )
+       )
+"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-screen )
+       vim-syntax? (
+               || (
+                       app-editors/vim
+                       app-editors/gvim
+               )
+       )"
+
+DOCS=( CHANGES README TODO )
+
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.4-flags.patch
+
+       # usptream fixes (can be removed with next version bump)
+)
+
+src_prepare() {
+       # bug 438558
+       # 1.7 segfaults when entering copy mode if compiled with -Os
+       replace-flags -Os -O2
+
+       # regenerate aclocal.m4 to support earlier automake versions
+       rm aclocal.m4 || die
+
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --sysconfdir="${EPREFIX}"/etc
+               $(use_enable debug)
+               $(use_enable utempter)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       einstalldocs
+
+       dodoc example_tmux.conf
+       docompress -x /usr/share/doc/${PF}/example_tmux.conf
+}
+
+pkg_postinst() {
+       if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+               echo
+               ewarn "Some configuration options changed in this release."
+               ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+               ewarn
+               ewarn "WARNING: After updating to ${P} you will _not_ be able 
to connect to any"
+               ewarn "older, running tmux server instances. You'll have to use 
an existing client to"
+               ewarn "end your old sessions or kill the old server instances. 
Otherwise you'll have"
+               ewarn "to temporarily downgrade to access them."
+               echo
+       fi
+}

Reply via email to